<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<eb:Messaging xmlns:eb="http://docs.oasis-open.org/ebxml-msg/ebms/v3.0/ns/core/200704/"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:S12="http://www.w3.org/2003/05/soap-envelope"
    xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"
    xsi:schemaLocation="http://docs.oasis-open.org/ebxml-msg/ebms/v3.0/ns/core/200704/
    https://www.oasis-open.org/committees/download.php/64179/ebms-header-3_0-200704_with_property_type_attribute.xsd"
    S12:mustUnderstand="true"
    wsu:Id="_148995f58ebb3087d1d3dccbd089db9f7922188240a56eaa657f1a8998a6c45be">

    <!-- The attributes S12:mustUnderstand and wsu:Id are optional. -->


    <eb:UserMessage>
        <eb:MessageInfo>
            <!--  The date at which the message header was created, must be dateTime (see [XMLSCHEMA]).  -->
            <eb:Timestamp>2017-10-24T09:07:38.000Z</eb:Timestamp>
            <!--  A globally unique identifier for the message. MUST be expressed according to RFC2822.  -->
            <eb:MessageId>15b41ec1-47cc-46f5-b5ec-05561ebceeb5@it.nrw</eb:MessageId>
        </eb:MessageInfo>
        <eb:PartyInfo>
            <!--  The 'eb:PartyId/@type' MUST not extend 256 characters and it either, MUST use the prefix 'urn:cef.eu:names:identifier:EAS:[Code]' and a code being part of the code list 'EAS' (Electronic Address Scheme ) OR it MUST use the prefix 'urn:oasis:names:tc:ebcore:partyid-type:unregistered:[Code]' and a code being part of the code list ‘EEA_Country-CodeList’. For testing purposes the code "oots" can be used.    -->
            <eb:From>
                <!--  The AS4 gateway (C2) that is sending the message on behalf of the Evidence Provider.     -->
                <eb:PartyId type="urn:cef.eu:names:identifier:EAS:0204">991-GatewayGermany-11</eb:PartyId>
                <!--  Fixed Value   -->
                <eb:Role>http://sdg.europa.eu/edelivery/gateway</eb:Role>
            </eb:From>
            <eb:To>
                <!--  The AS4 gateway (C3) that is receiving the message on behalf of the Evidence Requester.   -->
                <eb:PartyId type="urn:cef.eu:names:identifier:EAS:0060">8889909098</eb:PartyId>
                <!--  Fixed Value   -->
                <eb:Role>http://sdg.europa.eu/edelivery/gateway</eb:Role>
            </eb:To>
        </eb:PartyInfo>
        <eb:CollaborationInfo>
            <!-- Fixed Value that follows the rules of the ebXML Messaging Protocol Binding for RegRep Version 1.0 -->
            <eb:Service type="urn:oasis:names:tc:ebcore:ebrs:ebms:binding:1.0">QueryManager</eb:Service>
            <!--  Element identifying an operation. For the Evidence Response the value ExecuteQueryResponse is used.  -->
            <eb:Action>ExecuteQueryResponse</eb:Action>
            <!-- The unique ConversationId applies to all requests and their responses within a user session to link requests-response scenarios executed throughout a procedure. MUST be expressed as UUID. -->
            <eb:ConversationId>c73b7fdc-1ab0-4b1e-b295-ac9e4a35d764</eb:ConversationId>
        </eb:CollaborationInfo>
        <eb:MessageProperties>
            <!--  The value of the 'eb:Property/@type' MUST not extend 256 characters and it either, MUST use the prefix 'urn:cef.eu:names:identifier:EAS:[Code]' and a code being part of the code list 'EAS' (Electronic Address Scheme ) OR it MUST use the prefix 'urn:oasis:names:tc:ebcore:partyid-type:unregistered:[Code]' and a code being part of the code list ‘EEA_Country-CodeList’. For testing purposes the code "oots" can be used.   -->
            <!--  This element points to the Evidence Provider (C1) that is described in the Evidence Response. eb:Property/@name must be declared as 'originalSender'  -->
            <eb:Property name="originalSender" type="urn:cef.eu:names:identifier:EAS:9930">DE73524311</eb:Property>
            <!--  This element points to the Evidence Requester (C4) that is described in the Evidence Request. eb:Property/@name must be declared as 'finalRecipient'  -->
            <eb:Property name="finalRecipient" type="urn:cef.eu:names:identifier:EAS:0096">DK22233223</eb:Property>
        </eb:MessageProperties>
        <eb:PayloadInfo>
            <!--  The href attribute of every PartInfo MUST have a value that is the [RFC2392] Content-ID (CID) URI of the payload object referenced. The payload object must be referenced with the same UUID as defined in the RegRep payload as rim:slot "SpecificationIdentifier". The value on the right side of the prefix 'cid:' and left from the symbol '@' MUST be a valid UUID. eb:PartInfo/@href MUST use the prefix 'cid:' and be expressed according to RFC2822.   -->
            <eb:PartInfo href="cid:166155eb-d7a7-4cac-9086-8a85f0116462@it.nrw">
                <!--  There MUST be one or two eb:Property of eb:PartProperties. There MUST be one eb:Property/@name  with the fixed value "MimeType".  -->
                <eb:PartProperties>
                    <!--  If the eb:Action value is 'ExecuteQueryResponse' the first eb:PartInfo[1]/eb:PartProperties/eb:Property with name="MimeType" SHALL be 'application/x-ebrs+xml' to declare the Evidence Response payload defined as ebXML RegRep document  -->
                    <eb:Property name="MimeType">application/x-ebrs+xml</eb:Property>
                    <!--   The element declares the compression format of payload. If present, the value of the property MUST be application/gzip and MUST have a name attribute with the fixed value "CompressionType".  -->
                    <eb:Property name="CompressionType">application/gzip</eb:Property>
                </eb:PartProperties>
            </eb:PartInfo>
            <!--  The href attribute MUST have a value that is the [RFC2392] Content-ID (CID) URI of the payload object referenced. For Evidence documents the same CID as defined in the RegRep payload element 'rim:RepositoryItemRef/@xlink:href' MUST be used. The value on the right side of the prefix 'cid:' and left from the symbol '@' MUST be a valid UUID. eb:PartInfo/@href MUST use the prefix 'cid:' and be expressed according to RFC2822.   -->
            <eb:PartInfo href="cid:3ec68c74-7f4f-4ec0-b511-0e89f062781e@it.nrw">
                <!--  There MUST be one or two eb:Property of eb:PartProperties. There MUST be one eb:Property/@name  with the fixed value "MimeType".  -->
                <eb:PartProperties>
                    <!--   Additional eb:PartProperties are used to describe the Evidence documents. MUST be a valid mime type of the code list 'OOTSMediaTypes'.  -->
                    <eb:Property name="MimeType">application/xml</eb:Property>
                    <!--   The element declares the compression format of payload. If present, the value of the property MUST be application/gzip and MUST have a name attribute with the fixed value "CompressionType".  -->
                    <eb:Property name="CompressionType">application/gzip</eb:Property>
                </eb:PartProperties>
            </eb:PartInfo>
            <!--  The href attribute MUST have a value that is the [RFC2392] Content-ID (CID) URI of the payload object referenced. For Evidence documents the same CID as defined in the RegRep payload element 'rim:RepositoryItemRef/@xlink:href' MUST be used. The value on the right side of the prefix 'cid:' and left from the symbol '@' MUST be a valid UUID. eb:PartInfo/@href MUST use the prefix 'cid:' and be expressed according to RFC2822.   -->
            <eb:PartInfo href="cid:bf55b4fc-fdc6-4a52-8762-4dba62f6fd96@it.nrw">
                <!--  There MUST be one or two eb:Property of eb:PartProperties. There MUST be one eb:Property/@name  with the fixed value "MimeType".  -->
                <eb:PartProperties>
                    <!--  Additional eb:PartProperties are used to describe the Evidence documents. MUST be a valid mime type of the code list 'OOTSMediaTypes'.  -->
                    <eb:Property name="MimeType">application/pdf</eb:Property>
                    <!--   The element declares the compression format of payload. If present, the value of the property MUST be application/gzip and MUST have a name attribute with the fixed value "CompressionType".  -->
                    <eb:Property name="CompressionType">application/gzip</eb:Property>
                </eb:PartProperties>
            </eb:PartInfo>
        </eb:PayloadInfo>
    </eb:UserMessage>
</eb:Messaging>